Bug 217328 - games/py-fife : update to 0.4.1
Summary: games/py-fife : update to 0.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-24 17:39 UTC by fiziologus
Modified: 2017-03-26 05:21 UTC (History)
1 user (show)

See Also:


Attachments
patch file (49.86 KB, patch)
2017-02-24 17:39 UTC, fiziologus
no flags Details | Diff
Edited patch (non-critical misprint in Makefile) (49.86 KB, patch)
2017-02-27 10:01 UTC, fiziologus
no flags Details | Diff
next try (49.86 KB, patch)
2017-03-22 16:12 UTC, fiziologus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fiziologus 2017-02-24 17:39:06 UTC
Created attachment 180265 [details]
patch file

Update fife to 0.4.1 (need for new version games/unknown-horizons)

Migrate to github, remove editor and demos (manual download from github), adding build as shared library.
Comment 1 fiziologus 2017-02-27 10:01:02 UTC
Created attachment 180333 [details]
Edited patch (non-critical misprint in Makefile)
Comment 2 Wen Heping freebsd_committer 2017-03-19 14:30:19 UTC
I think you should add these lines to LIB_DEPENDS:

libfifechan.so:devel/fifechan \
libSDL2_ttf.so:graphics/sdl2_ttf \
libSDL2_image.so:graphics/sdl2_image \
libogg.so:audio/libogg

Would you test it again ?

wen
Comment 3 fiziologus 2017-03-19 21:44:33 UTC
(In reply to Wen Heping from comment #2)
This into FIFECHAN option and need for fifechan library (devel/fifechan) only, no other.
Check your ports tree, devel/fifechan is very new ports.
Comment 4 Wen Heping freebsd_committer 2017-03-20 13:04:39 UTC
(In reply to fiziologus from comment #3)
My portstree is the newest.

I think the problem is here:
FIFECHANE_LIB_DEPENDS=  fifechan-sdl.so:devel/fifechan

it should be :

FIFECHAN_LIB_DEPENDS=  fifechan-sdl.so:devel/fifechan  ?

and these lines are needed:

libSDL2_ttf.so:graphics/sdl2_ttf \
libSDL2_image.so:graphics/sdl2_image \
libogg.so:audio/libogg

would you test it again ?

wen
Comment 5 fiziologus 2017-03-20 17:43:13 UTC
(In reply to Wen Heping from comment #4)
OK, little misprint (after 100500 builds this normal).
Edit manualy
- FIFECHANE_LIB_DEPENDS= fifechan-sdl.so:devel/fifechan
+ FIFECHAN_LIB_DEPENDS= libfifechan_sdl.so:devel/fifechan

(other no need or added before)

PS. And, please, add build log for speed up work.
Comment 6 Wen Heping freebsd_committer 2017-03-21 01:45:18 UTC
(In reply to fiziologus from comment #5)


With your new patch, the build log :

poudriere testport -j 12amd64 -p wen -o games/py             -fife
[00:00:00] ====>> Creating the reference jail... done
[00:01:05] ====>> Mounting system devices for 12amd64-wen
[00:01:06] ====>> Mounting ports/packages/distfiles
[00:01:06] ====>> Stashing existing package repository
[00:01:11] ====>> Mounting packages from: /usr/local/poudriere/data/packages/12amd64-wen
[00:01:11] ====>> Appending to make.conf: /usr/local/etc/poudriere.d/12amd64-make.conf
/etc/resolv.conf -> /usr/local/poudriere/data/.m/12amd64-wen/ref/etc/resolv.conf
[00:01:11] ====>> Starting jail 12amd64-wen
[00:01:13] ====>> Logs: /usr/local/poudriere/data/logs/bulk/12amd64-wen/2017-03-21_09h16m57s
[00:01:13] ====>> Loading MOVED
[00:01:17] ====>> Calculating ports order and dependencies
[00:01:32] ====>> Sanity checking the repository
[00:01:32] ====>> Checking packages for incremental rebuild needed
[00:02:08] ====>> Deleting stale symlinks
[00:02:08] ====>> Deleting empty directories
[00:02:08] ====>> Cleaning the build queue
[00:02:08] ====>> Recording filesystem state for prepkg... done
[00:02:10] ====>> Committing packages to repository
[00:02:10] ====>> Removing old packages
[00:02:10] ====>> Building with flags:
[00:02:10] ====>> Removing existing /usr/local
build started at Tue Mar 21 09:19:08 CST 2017
port directory: /usr/ports/games/py-fife
building for: FreeBSD 12amd64-wen 12.0-CURRENT FreeBSD 12.0-CURRENT amd64
maintained by: fiziologus@gmail.com
Makefile ident:      $FreeBSD: head/games/py-fife/Makefile 430692 2017-01-06 08:45:03Z jbeich $
Poudriere version: 3.1.12
Host OSVERSION: 1200022
Jail OSVERSION: 1200020

---Begin Environment---
PKGREPOSITORY=/tmp/pkgs
PACKAGES=/tmp/pkgs
SHELL=/bin/csh
UNAME_v=FreeBSD 12.0-CURRENT
UNAME_r=12.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=amd64
SAVED_TERM=xterm
NO_WARNING_PKG_INSTALL_EOL=yes
MASTERMNT=/usr/local/poudriere/data/.m/12amd64-wen/ref
FORCE_PACKAGE=yes
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
OSREL=12.0
_OSRELEASE=12.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/usr/ports/games/py-fife/files
_SMP_CPUS=2
PWD=/
HAVE_COMPAT_IA32_KERN=YES
MASTERNAME=12amd64-wen
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/testport.sh
TRYBROKEN=yes
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1200020
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for py27-fife-0.4.1:
     LOGGING=on: Logging
     ZIP=on: ZIP archive support
====> GUI subsystem: you have to choose at least one of them
     FIFECHAN=on: Fifechan GUI subsystem
     CEGUI=off: Crazy Eddi's GUI subsystem (must be build with OpenGL)
====> Building components: you have to choose at least one of them
     PYTHON=on: Build python extension module (need for unknown-horizons)
     LIBRARY=off: Build and install files for directly develop with C++
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
SDL2_CONFIG=/usr/local/bin/sdl2-config PKG_CONFIG=pkgconf PYTHON="/usr/local/bin/python2.7" XDG_             DATA_HOME=/wrkdirs/usr/ports/games/py-fife/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/games/py-fif             e/work  HOME=/wrkdirs/usr/ports/games/py-fife/work TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin             /sh
--End CONFIGURE_ENV--

--MAKE_ENV--
SDL2_CONFIG=/usr/local/bin/sdl2-config XDG_DATA_HOME=/wrkdirs/usr/ports/games/py-fife/work  XDG_             CONFIG_HOME=/wrkdirs/usr/ports/games/py-fife/work  HOME=/wrkdirs/usr/ports/games/py-fife/work TM             PDIR="/tmp" NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/             usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector              -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" C             XXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_             PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install               -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
LOGGING=""
NO_LOGGING="@comment
"
ZIP=""
NO_ZIP="@comment
"
FIFECHAN=""
NO_FIFECHAN="@comment
"
CEGUI="@comment
"
NO_CEGUI=""
PYTHON=""
NO_PYTHON="@comment
"
LIBRARY="@comment
"
NO_LIBRARY=""
CMAKE_BUILD_TYPE="release"
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd12
PYTHON_PYOEXTENSION=pyo
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_SUFFIX=27
PYTHON_VER=2.7
PYTHON_VERSION=python2.7
PYTHON2=""
PYTHON3="@comment
"
OSREL=12.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/fife"
EXAMPLESDIR="share/examples/fife"
DATADIR="share/fife"
WWWDIR="www/fife"
ETCDIR="etc/fife"
--End PLIST_SUB--

--SUB_LIST--
LOGGING=""
NO_LOGGING="@comment
"
ZIP=""
NO_ZIP="@comment
"
FIFECHAN=""
NO_FIFECHAN="@comment
"
CEGUI="@comment
"
NO_CEGUI=""
PYTHON=""
NO_PYTHON="@comment
"
LIBRARY="@comment
"
NO_LIBRARY=""
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/fife
DOCSDIR=/usr/local/share/doc/fife
EXAMPLESDIR=/usr/local/share/examples/fife
WWWDIR=/usr/local/www/fife
ETCDIR=/usr/local/etc/fife
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/12amd64-make.conf ####
WITH_PKGNG=yes
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License LGPL21 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py27-fife-0.4.1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.0_2.txz
[12amd64-wen] Installing pkg-1.10.0_2...
[12amd64-wen] Extracting pkg-1.10.0_2: .......... done
===>   py27-fife-0.4.1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of py27-fife-0.4.1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License LGPL21 accepted by the user
===>   py27-fife-0.4.1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by py27-fife-0.4.1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License LGPL21 accepted by the user
===>   py27-fife-0.4.1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by py27-fife-0.4.1 for building
=> SHA256 Checksum OK for 0.4.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License LGPL21 accepted by the user
===>   py27-fife-0.4.1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by py27-fife-0.4.1 for building
===>  Extracting for py27-fife-0.4.1
=> SHA256 Checksum OK for 0.4.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for py27-fife-0.4.1
===>  Applying FreeBSD patches for py27-fife-0.4.1
===========================================================================
=======================<phase: build-depends  >============================
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/swig3.0 - not found
===>   Installing existing package /packages/All/swig30-3.0.12.txz
[12amd64-wen] Installing swig30-3.0.12...
[12amd64-wen] `-- Installing lua52-5.2.4...
[12amd64-wen] |   `-- Installing libedit-3.1.20150325_2,1...
[12amd64-wen] |   `-- Extracting libedit-3.1.20150325_2,1: .......... done
[12amd64-wen] `-- Extracting lua52-5.2.4: ......... done
[12amd64-wen] `-- Installing pcre-8.40...
[12amd64-wen] `-- Extracting pcre-8.40: .......... done
[12amd64-wen] Extracting swig30-3.0.12: .......... done
Message from lua52-5.2.4:
===>   NOTICE:

The lua52 port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/swig3.0 - found
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/sdl2-config - not found
===>   Installing existing package /packages/All/sdl2-2.0.5.txz
[12amd64-wen] Installing sdl2-2.0.5...
[12amd64-wen] `-- Installing libGL-13.0.5...
[12amd64-wen] |   `-- Installing expat-2.2.0_1...
[12amd64-wen] |   `-- Extracting expat-2.2.0_1: .......... done
[12amd64-wen] |   `-- Installing libX11-1.6.5,1...
[12amd64-wen] |   | `-- Installing kbproto-1.0.7...
[12amd64-wen] |   | `-- Extracting kbproto-1.0.7: .......... done
[12amd64-wen] |   | `-- Installing libXau-1.0.8_3...
[12amd64-wen] |   |   `-- Installing xproto-7.0.31...
[12amd64-wen] |   |   `-- Extracting xproto-7.0.31: .......... done
[12amd64-wen] |   | `-- Extracting libXau-1.0.8_3: .......... done
[12amd64-wen] |   | `-- Installing libXdmcp-1.1.2...
[12amd64-wen] |   | `-- Extracting libXdmcp-1.1.2: ......... done
[12amd64-wen] |   | `-- Installing libxcb-1.12...
[12amd64-wen] |   |   `-- Installing libxml2-2.9.4...
[12amd64-wen] |   |   `-- Extracting libxml2-2.9.4: .......... done
[12amd64-wen] |   |   `-- Installing libpthread-stubs-0.3_6...
[12amd64-wen] |   |   `-- Extracting libpthread-stubs-0.3_6: ..... done
[12amd64-wen] |   | `-- Extracting libxcb-1.12: .......... done
[12amd64-wen] |   `-- Extracting libX11-1.6.5,1: .......... done
[12amd64-wen] |   `-- Installing libXdamage-1.1.4_3...
[12amd64-wen] |   | `-- Installing damageproto-1.2.1...
[12amd64-wen] |   | `-- Extracting damageproto-1.2.1: .... done
[12amd64-wen] |   | `-- Installing libXfixes-5.0.3...
[12amd64-wen] |   |   `-- Installing fixesproto-5.0...
[12amd64-wen] |   |   `-- Extracting fixesproto-5.0: .... done
[12amd64-wen] |   | `-- Extracting libXfixes-5.0.3: .......... done
[12amd64-wen] |   `-- Extracting libXdamage-1.1.4_3: ...... done
[12amd64-wen] |   `-- Installing libXext-1.3.3_1,1...
[12amd64-wen] |   | `-- Installing xextproto-7.3.0...
[12amd64-wen] |   | `-- Extracting xextproto-7.3.0: .......... done
[12amd64-wen] |   `-- Extracting libXext-1.3.3_1,1: .......... done
[12amd64-wen] |   `-- Installing libXxf86vm-1.1.4_1...
[12amd64-wen] |   | `-- Installing xf86vidmodeproto-2.3.1...
[12amd64-wen] |   | `-- Extracting xf86vidmodeproto-2.3.1: .... done
[12amd64-wen] |   `-- Extracting libXxf86vm-1.1.4_1: .......... done
[12amd64-wen] |   `-- Installing libdrm-2.4.75_2,1...
[12amd64-wen] |   | `-- Installing libdevq-0.0.4...
[12amd64-wen] |   | `-- Extracting libdevq-0.0.4: ......... done
[12amd64-wen] |   | `-- Installing libpciaccess-0.13.4...
[12amd64-wen] |   |   `-- Installing pciids-20170310...
[12amd64-wen] |   |   `-- Extracting pciids-20170310: ..... done
[12amd64-wen] |   | `-- Extracting libpciaccess-0.13.4: ...... done
[12amd64-wen] |   `-- Extracting libdrm-2.4.75_2,1: .......... done
[12amd64-wen] |   `-- Installing libglapi-13.0.5...
[12amd64-wen] |   | `-- Installing libXvMC-1.0.10...
[12amd64-wen] |   |   `-- Installing libXv-1.0.11,1...
[12amd64-wen] |   |   | `-- Installing videoproto-2.3.3...
[12amd64-wen] |   |   | `-- Extracting videoproto-2.3.3: ......... done
[12amd64-wen] |   |   `-- Extracting libXv-1.0.11,1: .......... done
[12amd64-wen] |   | `-- Extracting libXvMC-1.0.10: .......... done
[12amd64-wen] |   | `-- Installing libxshmfence-1.2_1...
[12amd64-wen] |   | `-- Extracting libxshmfence-1.2_1: ......... done
[12amd64-wen] |   `-- Extracting libglapi-13.0.5: ...... done
[12amd64-wen] `-- Extracting libGL-13.0.5: .......... done
[12amd64-wen] `-- Installing libXScrnSaver-1.2.2_3...
[12amd64-wen] |   `-- Installing scrnsaverproto-1.2.2...
[12amd64-wen] |   `-- Extracting scrnsaverproto-1.2.2: ... done
[12amd64-wen] `-- Extracting libXScrnSaver-1.2.2_3: .......... done
[12amd64-wen] `-- Installing libXcursor-1.1.14_3...
[12amd64-wen] |   `-- Installing libXrender-0.9.10...
[12amd64-wen] |   | `-- Installing renderproto-0.11.1...
[12amd64-wen] |   | `-- Extracting renderproto-0.11.1: .... done
[12amd64-wen] |   `-- Extracting libXrender-0.9.10: .......... done
[12amd64-wen] `-- Extracting libXcursor-1.1.14_3: .......... done
[12amd64-wen] `-- Installing libXi-1.7.9,1...
[12amd64-wen] |   `-- Installing inputproto-2.3.2...
[12amd64-wen] |   `-- Extracting inputproto-2.3.2: ........ done
[12amd64-wen] `-- Extracting libXi-1.7.9,1: .......... done
[12amd64-wen] `-- Installing libXinerama-1.1.3_3,1...
[12amd64-wen] |   `-- Installing xineramaproto-1.2.1...
[12amd64-wen] |   `-- Extracting xineramaproto-1.2.1: .. done
[12amd64-wen] `-- Extracting libXinerama-1.1.3_3,1: .......... done
[12amd64-wen] `-- Installing libXrandr-1.5.1...
[12amd64-wen] |   `-- Installing randrproto-1.5.0...
[12amd64-wen] |   `-- Extracting randrproto-1.5.0: .... done
[12amd64-wen] `-- Extracting libXrandr-1.5.1: .......... done
[12amd64-wen] Extracting sdl2-2.0.5: .......... done
Message from sdl2-2.0.5:
===>   NOTICE:

The sdl2 port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/sdl2-config - found
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on package: pkgconf>=1.3.0_1 - not found
===>   Installing existing package /packages/All/pkgconf-1.3.0_3.txz
[12amd64-wen] Installing pkgconf-1.3.0_3...
[12amd64-wen] Extracting pkgconf-1.3.0_3: .......... done
===>   py27-fife-0.4.1 depends on package: pkgconf>=1.3.0_1 - found
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.7.2.txz
[12amd64-wen] Installing cmake-3.7.2...
[12amd64-wen] `-- Installing cmake-modules-3.7.2...
[12amd64-wen] `-- Extracting cmake-modules-3.7.2: .......... done
[12amd64-wen] `-- Installing curl-7.53.1...
[12amd64-wen] |   `-- Installing ca_root_nss-3.30...
[12amd64-wen] |   `-- Extracting ca_root_nss-3.30: ........ done
[12amd64-wen] |   `-- Installing libnghttp2-1.20.0...
[12amd64-wen] |   `-- Extracting libnghttp2-1.20.0: .......... done
[12amd64-wen] `-- Extracting curl-7.53.1: .......... done
[12amd64-wen] `-- Installing jsoncpp-1.8.0_1...
[12amd64-wen] `-- Extracting jsoncpp-1.8.0_1: .......... done
[12amd64-wen] `-- Installing libarchive-3.3.1,1...
[12amd64-wen] |   `-- Installing liblz4-1.7.5,1...
[12amd64-wen] |   `-- Extracting liblz4-1.7.5,1: .......... done
[12amd64-wen] |   `-- Installing lzo2-2.09...
[12amd64-wen] |   `-- Extracting lzo2-2.09: .......... done
[12amd64-wen] `-- Extracting libarchive-3.3.1,1: .......... done
[12amd64-wen] `-- Installing libuv-1.11.0...
[12amd64-wen] `-- Extracting libuv-1.11.0: .......... done
[12amd64-wen] Extracting cmake-3.7.2: .......... done
Message from ca_root_nss-3.30:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/python2.7 - not found
===>   Installing existing package /packages/All/python27-2.7.13_1.txz
[12amd64-wen] Installing python27-2.7.13_1...
[12amd64-wen] `-- Installing libffi-3.2.1...
[12amd64-wen] |   `-- Installing indexinfo-0.2.6...
[12amd64-wen] |   `-- Extracting indexinfo-0.2.6: .... done
[12amd64-wen] `-- Extracting libffi-3.2.1: .......... done
[12amd64-wen] `-- Installing gettext-runtime-0.19.8.1_1...
[12amd64-wen] `-- Extracting gettext-runtime-0.19.8.1_1: .......... done
[12amd64-wen] `-- Installing readline-6.3.8...
[12amd64-wen] `-- Extracting readline-6.3.8: .......... done
[12amd64-wen] Extracting python27-2.7.13_1: .......... done
Message from python27-2.7.13_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/python2.7 - found
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on executable: python2 - not found
===>   Installing existing package /packages/All/python2-2_3.txz
[12amd64-wen] Installing python2-2_3...
[12amd64-wen] Extracting python2-2_3: ...... done
===>   py27-fife-0.4.1 depends on executable: python2 - found
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on package: libGL>0 - found
===>   py27-fife-0.4.1 depends on file: /usr/local/libdata/pkgconfig/glproto.pc - not found
===>   Installing existing package /packages/All/glproto-1.4.17.txz
[12amd64-wen] Installing glproto-1.4.17...
[12amd64-wen] Extracting glproto-1.4.17: ...... done
===>   py27-fife-0.4.1 depends on file: /usr/local/libdata/pkgconfig/glproto.pc - found
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on file: /usr/local/libdata/pkgconfig/dri2proto.pc - not found
===>   Installing existing package /packages/All/dri2proto-2.8.txz
[12amd64-wen] Installing dri2proto-2.8...
[12amd64-wen] Extracting dri2proto-2.8: .... done
===>   py27-fife-0.4.1 depends on file: /usr/local/libdata/pkgconfig/dri2proto.pc - found
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on file: /usr/local/libdata/pkgconfig/xcursor.pc - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   py27-fife-0.4.1 depends on shared library: libvorbisfile.so - not found
===>   Installing existing package /packages/All/libvorbis-1.3.5_1,3.txz
[12amd64-wen] Installing libvorbis-1.3.5_1,3...
[12amd64-wen] `-- Installing libogg-1.3.2_2,4...
[12amd64-wen] `-- Extracting libogg-1.3.2_2,4: .......... done
[12amd64-wen] Extracting libvorbis-1.3.5_1,3: .......... done
===>   py27-fife-0.4.1 depends on shared library: libvorbisfile.so - found (/usr/local/lib/libvo             rbisfile.so)
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on shared library: libtinyxml.so - not found
===>   Installing existing package /packages/All/tinyxml-2.6.2_1.txz
[12amd64-wen] Installing tinyxml-2.6.2_1...
[12amd64-wen] Extracting tinyxml-2.6.2_1: .......... done
===>   py27-fife-0.4.1 depends on shared library: libtinyxml.so - found (/usr/local/lib/libtinyx             ml.so)
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on shared library: libboost_filesystem.so - not found
===>   Installing existing package /packages/All/boost-libs-1.63.0_1.txz
[12amd64-wen] Installing boost-libs-1.63.0_1...
[12amd64-wen] `-- Installing icu-58.2,1...
[12amd64-wen] `-- Extracting icu-58.2,1: .......... done
[12amd64-wen] Extracting boost-libs-1.63.0_1: .......... done
Message from boost-libs-1.63.0_1:
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.
===>   py27-fife-0.4.1 depends on shared library: libboost_filesystem.so - found (/usr/local/lib             /libboost_filesystem.so)
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on shared library: libpng.so - not found
===>   Installing existing package /packages/All/png-1.6.28.txz
[12amd64-wen] Installing png-1.6.28...
[12amd64-wen] Extracting png-1.6.28: .......... done
===>   py27-fife-0.4.1 depends on shared library: libpng.so - found (/usr/local/lib/libpng.so)
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on shared library: libSDL2.so - found (/usr/local/lib/libSDL2.so)
===>   py27-fife-0.4.1 depends on shared library: libSDL2_ttf.so - not found
===>   Installing existing package /packages/All/sdl2_ttf-2.0.14.txz
[12amd64-wen] Installing sdl2_ttf-2.0.14...
[12amd64-wen] `-- Installing freetype2-2.7.1...
[12amd64-wen] `-- Extracting freetype2-2.7.1: .......... done
[12amd64-wen] Extracting sdl2_ttf-2.0.14: .......... done
Message from freetype2-2.7.1:
The 2.7.x series now uses the new subpixel hinting mode (V40 port's option) as
the default, emulating a modern version of ClearType. This change inevitably
leads to different rendering results, and you might change port's options to
adapt it to your taste (or use the new "FREETYPE_PROPERTIES" environment
variable).

The environment variable "FREETYPE_PROPERTIES" can be used to control the
driver properties. Example:

FREETYPE_PROPERTIES=truetype:interpreter-version=35 \
        cff:no-stem-darkening=1 \
        autofitter:warping=1

This allows to select, say, the subpixel hinting mode at runtime for a given
application.

The controllable properties are listed in the section "Controlling FreeType
Modules" in the reference's table of contents
(/usr/local/share/doc/freetype2/reference/ft2-toc.html, if documentation was installed).
Message from sdl2_ttf-2.0.14:
===>   NOTICE:

The sdl2_ttf port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   py27-fife-0.4.1 depends on shared library: libSDL2_ttf.so - found (/usr/local/lib/libSDL2             _ttf.so)
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on shared library: libSDL2_image.so - not found
===>   Installing existing package /packages/All/sdl2_image-2.0.1.txz
[12amd64-wen] Installing sdl2_image-2.0.1...
[12amd64-wen] `-- Installing jpeg-turbo-1.5.1...
[12amd64-wen] `-- Extracting jpeg-turbo-1.5.1: .......... done
[12amd64-wen] `-- Installing tiff-4.0.7_1...
[12amd64-wen] |   `-- Installing jbigkit-2.1_1...
[12amd64-wen] |   `-- Extracting jbigkit-2.1_1: .......... done
[12amd64-wen] `-- Extracting tiff-4.0.7_1: .......... done
[12amd64-wen] `-- Installing webp-0.5.2...
[12amd64-wen] |   `-- Installing giflib-5.1.4...
[12amd64-wen] |   `-- Extracting giflib-5.1.4: .......... done
[12amd64-wen] `-- Extracting webp-0.5.2: .......... done
[12amd64-wen] Extracting sdl2_image-2.0.1: ......... done
Message from sdl2_image-2.0.1:
===>   NOTICE:

The sdl2_image port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   py27-fife-0.4.1 depends on shared library: libSDL2_image.so - found (/usr/local/lib/libSD             L2_image.so)
===>   Returning to build of py27-fife-0.4.1
===>   py27-fife-0.4.1 depends on shared library: libopenal.so.1 - not found
===>   Installing existing package /packages/All/openal-soft-1.17.2_1.txz
[12amd64-wen] Installing openal-soft-1.17.2_1...
[12amd64-wen] Extracting openal-soft-1.17.2_1: .......... done
===>   py27-fife-0.4.1 depends on shared library: libopenal.so.1 - found (/usr/local/lib/libopen             al.so.1)
===>   Returning to build of py27-fife-0.4.1
===========================================================================
====>> Recording filesystem state for prebuild... done
=======================<phase: configure      >============================
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/swig3.0 - found
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/sdl2-config - found
===>   py27-fife-0.4.1 depends on package: pkgconf>=1.3.0_1 - found
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/cmake - found
===>   py27-fife-0.4.1 depends on file: /usr/local/bin/python2.7 - found
===>   py27-fife-0.4.1 depends on executable: python2 - found
===>   py27-fife-0.4.1 depends on package: libGL>0 - found
===>   py27-fife-0.4.1 depends on file: /usr/local/libdata/pkgconfig/glproto.pc - found
===>   py27-fife-0.4.1 depends on file: /usr/local/libdata/pkgconfig/dri2proto.pc - found
===>   py27-fife-0.4.1 depends on file: /usr/local/libdata/pkgconfig/xcursor.pc - found
===>   py27-fife-0.4.1 depends on shared library: libvorbisfile.so - found (/usr/local/lib/libvo             rbisfile.so)
===>   py27-fife-0.4.1 depends on shared library: libtinyxml.so - found (/usr/local/lib/libtinyx             ml.so)
===>   py27-fife-0.4.1 depends on shared library: libboost_filesystem.so - found (/usr/local/lib             /libboost_filesystem.so)
===>   py27-fife-0.4.1 depends on shared library: libpng.so - found (/usr/local/lib/libpng.so)
===>   py27-fife-0.4.1 depends on shared library: libSDL2.so - found (/usr/local/lib/libSDL2.so)
===>   py27-fife-0.4.1 depends on shared library: libSDL2_ttf.so - found (/usr/local/lib/libSDL2             _ttf.so)
===>   py27-fife-0.4.1 depends on shared library: libSDL2_image.so - found (/usr/local/lib/libSD             L2_image.so)
===>   py27-fife-0.4.1 depends on shared library: libopenal.so.1 - found (/usr/local/lib/libopen             al.so.1)
===>  Configuring for py27-fife-0.4.1
===>  Performing out-of-source build
/bin/mkdir -p /wrkdirs/usr/ports/games/py-fife/work/.build
-- The C compiler identification is Clang 3.9.1
-- The CXX compiler identification is Clang 3.9.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done

== Building FIFE version 0.4.1 using build type 'Release'.
--     Source directory is '/wrkdirs/usr/ports/games/py-fife/work/fifengine-0.4.1'.
--     Build  directory is '/wrkdirs/usr/ports/games/py-fife/work/.build'.
--     Installation path is '/usr/local' (set -DCMAKE_INSTALL_PREFIX=<path> to change).
--     CXX Compiler Flags: '-O2 -pipe -fstack-protector -fno-strict-aliasing'.
--     Dependencies folder: '/wrkdirs/usr/ports/games/py-fife/work/fifengine-0.4.1/../fifengine-             dependencies'.

<FindSDL2.cmake>
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Found Threads: TRUE
</FindSDL2.cmake>
-- Found SDL2: /usr/local/lib/libSDL2main.a;/usr/local/lib/libSDL2.so;-pthread
-- Found SDL2_image: /usr/local/lib/libSDL2_image.so (found version "2.0.1")
-- Found SDL2_ttf: /usr/local/lib/libSDL2_ttf.so (found version "2.0.14")
-- Boost version: 1.63.0
-- Found the following Boost libraries:
--   system
--   filesystem
--   regex
-- Found ZLIB: /usr/lib/libz.so (found version "1.2.11")
-- Found PNG: /usr/local/lib/libpng.so (found version "1.6.28+apng")
-- Found OpenAL: /usr/local/lib/libopenal.so
-- Found OpenGL: /usr/local/lib/libGL.so
-- Found TinyXML: /usr/local/lib/libtinyxml.so
-- Found the following FifeChan libraries:
--   fifechan_sdl not found.
-- Could NOT find FIFECHAN (missing:  FIFECHAN_LIBRARY FIFECHAN_INCLUDE_DIR)
Using FifeChan
-- Found the following FifeChan libraries:
--   fifechan_opengl not found.
-- Could NOT find FIFECHAN (missing:  FIFECHAN_LIBRARY FIFECHAN_INCLUDE_DIR)
-- Found SWIG: /usr/local/bin/swig3.0 (found version "3.0.12")
-- Found OGG: /usr/local/include
-- Found vorbisfile: /usr/local/include
-- Found vorbisfile: /usr/local/include
-- Found PythonInterp: /usr/local/bin/python2 (found suitable exact version "2.7.13")
-- Found PythonLibs: /usr/local/lib/libpython2.7.so (found suitable exact version "2.7.13")
--     Python install directory is '/usr/local/lib/python2.7/site-packages/fife'.
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
FIFECHAN_INCLUDE_DIR (ADVANCED)
   used as include directory in directory /wrkdirs/usr/ports/games/py-fife/work/fifengine-0.4.1
   used as include directory in directory /wrkdirs/usr/ports/games/py-fife/work/fifengine-0.4.1
   used as include directory in directory /wrkdirs/usr/ports/games/py-fife/work/fifengine-0.4.1
   used as include directory in directory /wrkdirs/usr/ports/games/py-fife/work/fifengine-0.4.1
   used as include directory in directory /wrkdirs/usr/ports/games/py-fife/work/fifengine-0.4.1
   used as include directory in directory /wrkdirs/usr/ports/games/py-fife/work/fifengine-0.4.1
   used as include directory in directory /wrkdirs/usr/ports/games/py-fife/work/fifengine-0.4.1
   used as include directory in directory /wrkdirs/usr/ports/games/py-fife/work/fifengine-0.4.1

-- Configuring incomplete, errors occurred!
See also "/wrkdirs/usr/ports/games/py-fife/work/.build/CMakeFiles/CMakeOutput.log".
*** Error code 1

Stop.
make: stopped in /usr/ports/games/py-fife
build of games/py-fife ended at Tue Mar 21 09:21:01 CST 2017
build time: 00:01:53
!!! build failure encountered !!!
[00:04:03] ====>> Error: Build failed in phase: configure
[00:04:03] ====>> Cleaning up
[00:04:03] ====>> Umounting file systems
Comment 7 fiziologus 2017-03-22 16:12:49 UTC
Created attachment 181061 [details]
next try

In attach patch from my (fully working) version port. If not then check your working port tree or build system (I have bad mud obout first).
Comment 8 commit-hook freebsd_committer 2017-03-26 05:20:24 UTC
A commit references this bug:

Author: wen
Date: Sun Mar 26 05:19:48 UTC 2017
New revision: 436938
URL: https://svnweb.freebsd.org/changeset/ports/436938

Log:
  - Update to 0.4.1

  PR:		217328
  Submitted by:	fiziologus@gmail.com(maintainer)

Changes:
  head/games/py-fife/Makefile
  head/games/py-fife/distinfo
  head/games/py-fife/files/patch-CMakeLists.txt
  head/games/py-fife/files/patch-engine__SConscript
  head/games/py-fife/pkg-plist
Comment 9 Wen Heping freebsd_committer 2017-03-26 05:21:21 UTC
Committed, thanks !

wen